From 9b6ac68dbf1643543a3f1c4287255406069f061a Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 16:41:30 -0800
Subject: [PATCH 3/6] MacPorts Only: Don't embed the deployment target in the
 asm when using -fno-integrated-as

http://llvm.org/bugs/show_bug.cgi?id=21636

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 lib/CodeGen/AsmPrinter/AsmPrinter.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git llvm_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp macports_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp
index 7adc59d096f..336d1384b8d 100644
--- llvm_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp
+++ macports_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp
@@ -272,8 +272,10 @@ bool AsmPrinter::doInitialization(Module &M) {
   // alternative is duplicated code in each of the target asm printers that
   // use the directive, where it would need the same conditionalization
   // anyway.
-  const Triple &Target = TM.getTargetTriple();
-  OutStreamer->EmitVersionForTarget(Target, M.getSDKVersion());
+  if (MAI->useIntegratedAssembler()) {
+    const Triple &Target = TM.getTargetTriple();
+    OutStreamer->EmitVersionForTarget(Target, M.getSDKVersion());
+  }
 
   // Allow the target to emit any magic that it wants at the start of the file.
   EmitStartOfAsmFile(M);
-- 
2.21.0 (Apple Git-120)

